:host{
  display: flex;
  align-items: flex-end;
  justify-items: flex-end;
  flex-grow: 1;
}

:host(.vertical-menu) {
  display: inline-block;
  width: 200px;
  padding-left: 4px;
  flex-grow: 0;
  background-color: #555;
  overflow: auto;
}

ul{
  list-style-type: none;
  display: block;
  margin: 0;
  padding: 0;
}

nav{
  width: 500px;
}

li{
  display: inline;
}

:host(.vertical-menu){
  li{
    display: block;
  }
}